
# MateriO 7.x
MateriO Base powered by druapl 7 docker environement

# install docker
```
sudo pacman -S docker docker-compose docker-machine
```

# clone this repos
```
git clone -o figli https://figureslibres.io/gogs/bachir/docker-materio.git
```

# clone drupal 7 materio base
```
cd docker-materio
git clone -o figli https://figureslibres.io/gogs/bachir/materio-base-d7.git base_d7
```
or with submodule

## get the sites/default contents
## setup /sites/default/settings.php

# Mysql
copy your-sql-dump.sql into ./ressources/materio_base_d7.sql
it will be automaticly imported into the mysql container db (only the first time)

# reverse proxy
```
<Virtualhost *:80>
   ServerName dev.materio.com
   ProxyPass / http://127.0.0.1:81/
   ProxyPassReverse / http://127.0.0.1:81/
   ProxyRequests Off
</Virtualhost>
```
```
<Virtualhost *:80>
   ServerName dev.phpmyadmin.materio.com
   ProxyPass / http://127.0.0.1:8080/
   ProxyPassReverse / http://127.0.0.1:8080/
   ProxyRequests Off
</Virtualhost>
```

# build
```
sudo docker-compose build
```

# run
```
sudo docker-compose run -d
```

# drush
log into php container
```
sudo docker exec -it materio_php_1 bash
```
once inside the php container in /var/www/html you can use drush as usual

# updateding manualy mysql db
copy your db backup into the mysql container
```
sudo docker cp your-db-file.sql materio_mysql_1:/root/
```
log into mysql container
```
sudo docker exec -it materio_php_1 bash
```
once inside the mysql container you can use mysql command to drop then create and load the db with your file


# sources
https://www.ostraining.com/blog/drupal/docker/

http://tech.osteel.me/posts/2017/01/15/how-to-use-docker-for-local-web-development-an-update.html

https://mmenozzi.github.io/2016/01/22/php-web-development-with-docker/

https://dzone.com/articles/continuous-drupal-maintaining-a-drupal-website-wit
